package jalview.schemes;

import jalview.datamodel.SequenceI;

import java.awt.Color;


public class RNAInteractionColourScheme extends ResidueColourScheme{
	 public RNAInteractionColourScheme()
	  {
	    super();
	  }

	  /**
	   * DOCUMENT ME!
	   * 
	   * @param n
	   *          DOCUMENT ME!
	   * 
	   * @return DOCUMENT ME!
	   */
	  @Override
	  public Color findColour(char c)
	  {
	    // System.out.println("called"); log.debug
	    return colors[ResidueProperties.nucleotideIndex[c]];
	  }

	  /**
	   * DOCUMENT ME!
	   * 
	   * @param n
	   *          DOCUMENT ME!
	   * @param j
	   *          DOCUMENT ME!
	   * 
	   * @return DOCUMENT ME!
	   */
	  @Override
	  public Color findColour(char c, int j, SequenceI seq)
	  {
	    Color currentColour;
	    if ((threshold == 0) || aboveThreshold(c, j))
	    {
	      try
	      {
	        currentColour = colors[ResidueProperties.nucleotideIndex[c]];
	      } catch (Exception ex)
	      {
	        return Color.white;
	      }
	    }
	    else
	    {
	      return Color.white;
	    }

	    if (conservationColouring)
	    {
	      currentColour = applyConservation(currentColour, j);
	    }

	    return currentColour;
	  }
	}
